node-postcss (8.5.15+~cs9.3.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.15+~cs9.3.38

 -- Xavier Guimard <yadd@debian.org>  Sat, 20 Jun 2026 16:04:27 +0200

node-postcss (8.5.15+~cs9.3.34-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.15+~cs9.3.34

 -- Xavier Guimard <yadd@debian.org>  Sat, 23 May 2026 08:05:13 +0200

node-postcss (8.5.14+~cs9.3.34-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.14+~cs9.3.34

 -- Xavier Guimard <yadd@debian.org>  Tue, 05 May 2026 15:52:14 +0200

node-postcss (8.5.12+~cs9.3.32-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: CVE-2026-41305)
  * Unfuzz patches

 -- Xavier Guimard <yadd@debian.org>  Sun, 26 Apr 2026 18:25:01 +0200

node-postcss (8.5.9+~cs9.3.30-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.4
  * debian/watch version 5
  * New upstream version 8.5.9+~cs9.3.30

 -- Xavier Guimard <yadd@debian.org>  Thu, 09 Apr 2026 15:04:37 +0200

node-postcss (8.5.8+~cs9.3.30-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.3
  * Drop "Rules-Requires-Root: no"
  * Drop "Priority: optional"
  * New upstream version 8.5.8+~cs9.3.30
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Sat, 28 Mar 2026 11:46:45 +0100

node-postcss (8.5.6+~cs9.3.28-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version 8.5.6+~cs9.3.28
  * Refresh patch

 -- Yadd <yadd@debian.org>  Sun, 10 Aug 2025 18:08:37 +0200

node-postcss (8.4.49+~cs9.2.32-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: CVE-2024-55565)

 -- Yadd <yadd@debian.org>  Thu, 12 Dec 2024 14:18:50 +0100

node-postcss (8.4.39+~cs9.2.29-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.0
  * New upstream version 8.4.39+~cs9.2.29
  * Update commonjs build for nonoid

 -- Yadd <yadd@debian.org>  Tue, 02 Jul 2024 16:28:45 +0400

node-postcss (8.4.31+~cs8.0.26-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 8.4.31+~cs8.0.26 (Closes: #1053282, CVE-2023-44270)
  * Unfuzz patch

 -- Yadd <yadd@debian.org>  Tue, 17 Oct 2023 18:47:34 +0400

node-postcss (8.4.20+~cs8.0.23-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3.
  * New upstream version 8.4.20+~cs8.0.23

 -- Yadd <yadd@debian.org>  Mon, 12 Dec 2022 17:48:49 +0100

node-postcss (8.4.19+~cs8.0.23-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.19+~cs8.0.23

 -- Yadd <yadd@debian.org>  Tue, 22 Nov 2022 09:03:06 +0100

node-postcss (8.4.18+~cs8.0.23-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.18+~cs8.0.23

 -- Yadd <yadd@debian.org>  Tue, 01 Nov 2022 15:30:59 +0100

node-postcss (8.4.17+~cs8.0.23-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.17+~cs8.0.23

 -- Yadd <yadd@debian.org>  Sat, 01 Oct 2022 09:02:33 +0200

node-postcss (8.4.16+~cs8.0.23-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.16+~cs8.0.23
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 09 Aug 2022 22:11:24 +0200

node-postcss (8.4.14+~cs8.0.23-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * lintian
  * New upstream version 8.4.14+~cs8.0.23
  * Build nanoid commonjs files

 -- Yadd <yadd@debian.org>  Mon, 04 Jul 2022 11:19:49 +0200

node-postcss (8.4.8+~cs7.3.21-2) unstable; urgency=medium

  * Team upload
  * Update test modules (fixes debci)

 -- Yadd <yadd@debian.org>  Thu, 10 Mar 2022 15:33:31 +0100

node-postcss (8.4.8+~cs7.3.21-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.8+~cs7.3.21

 -- Yadd <yadd@debian.org>  Thu, 10 Mar 2022 10:10:43 +0100

node-postcss (8.4.7+~cs7.3.21-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.7+~cs7.3.21

 -- Yadd <yadd@debian.org>  Fri, 25 Feb 2022 16:10:09 +0100

node-postcss (8.4.6+~cs7.3.21-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.6+~cs7.3.21
  * Enable upstream test (uvu and ts-node)
  * Add X-Javascript-Built-Using header in debian/control
  * Update copyright

 -- Yadd <yadd@debian.org>  Thu, 17 Feb 2022 17:39:30 +0100

node-postcss (8.4.5+~cs7.1.51-2) unstable; urgency=medium

  * Team upload
  * Don't launch upstream test, requires Internet (Closes: #1003702)

 -- Yadd <yadd@debian.org>  Fri, 14 Jan 2022 06:37:28 +0100

node-postcss (8.4.5+~cs7.1.51-1) unstable; urgency=medium

  * Team upload
  * Skip require test for colorette (fixes autopkgtest)
  * New upstream version 8.4.5+~cs7.1.51
  * Install nanoid binary
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 13 Jan 2022 12:35:56 +0100

node-postcss (8.4.5+~cs7.1.49-2) unstable; urgency=medium

  * Team upload
  * Add debian/nodejs/colorette/files to workaround pkg-js-tools bug

 -- Yadd <yadd@debian.org>  Wed, 15 Dec 2021 13:55:33 +0100

node-postcss (8.4.5+~cs7.1.49-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Fix GitHub tags regex
  * Fix filenamemangle
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Drop dependency to nodejs
  * Embed source-map-js
  * New upstream version 8.4.5+~cs7.1.49
  * Drop patches
  * Update colorette build (rollup)
  * Add lintian overrides
  * Update build dependencies
  * Update copyright
  * Update test

 -- Yadd <yadd@debian.org>  Wed, 15 Dec 2021 13:31:06 +0100

node-postcss (8.2.1+~cs5.3.23-8) unstable; urgency=medium

  * Team upload
  * Add missing `set -e` in security test

 -- Yadd <yadd@debian.org>  Thu, 29 Apr 2021 10:44:29 +0200

node-postcss (8.2.1+~cs5.3.23-7) unstable; urgency=medium

  * Team upload
  * Fix ReDoS (Closes: CVE-2021-23382)
  * Add autopkgtest files for CVE-2021-23368 and CVE-2021-23382

 -- Yadd <yadd@debian.org>  Thu, 29 Apr 2021 10:24:48 +0200

node-postcss (8.2.1+~cs5.3.23-6) unstable; urgency=medium

  * Team upload
  * Fix ReDoS vulnerability (Closes: CVE-2021-23368)

 -- Yadd <yadd@debian.org>  Wed, 14 Apr 2021 21:43:54 +0200

node-postcss (8.2.1+~cs5.3.23-5) unstable; urgency=medium

  * Update Breaks: node-css-loader (<< 5.0.1+~cs14.0.5-1~)

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Dec 2020 13:43:52 +0530

node-postcss (8.2.1+~cs5.3.23-4) unstable; urgency=medium

  * Add Breaks: node-postcss-reporter (<< 7.0~)

 -- Pirate Praveen <praveen@debian.org>  Sat, 26 Dec 2020 20:33:28 +0530

node-postcss (8.2.1+~cs5.3.23-3) unstable; urgency=medium

  * Add Breaks node-autoprefixer (<< 10.0~)

 -- Pirate Praveen <praveen@debian.org>  Sat, 26 Dec 2020 17:20:13 +0530

node-postcss (8.2.1+~cs5.3.23-2) unstable; urgency=medium

  * Add Breaks against packages that need a newver version
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Thu, 24 Dec 2020 22:23:01 +0530

node-postcss (8.2.1+~cs5.3.23-1) experimental; urgency=medium

  * Use ctype=nodejs and checksum options for components
  * New upstream version 8.2.1+~cs5.3.23

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Dec 2020 22:28:27 +0530

node-postcss (8.0.5-1) experimental; urgency=medium

  * New upstream version 8.0.5
  * Upstream supports node without transpiling so remove build steps
  * Drop unused embedded modules
  * Update copyright and dependencies
  * Embed colorette, line-column and nanoid
  * Install embedded modules in nodejs root

 -- Pirate Praveen <praveen@debian.org>  Mon, 28 Sep 2020 14:46:25 +0530

node-postcss (7.0.34-1) unstable; urgency=medium

  * New upstream version 7.0.34

 -- Pirate Praveen <praveen@debian.org>  Sun, 20 Sep 2020 02:31:47 +0530

node-postcss (7.0.17-4) unstable; urgency=medium

  * Revert "Replace add-module-exports plugin with babel 7 version"

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 May 2020 13:37:34 +0530

node-postcss (7.0.17-3) unstable; urgency=medium

  * Replace add-module-exports plugin with babel 7 version
    (@babel/plugin-proposal-export-default-from)

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 May 2020 21:52:34 +0530

node-postcss (7.0.17-2) unstable; urgency=medium

  * Drop node-babel-plugin-precompile-charcodes from build deps

 -- Pirate Praveen <praveen@debian.org>  Fri, 08 May 2020 19:07:53 +0530

node-postcss (7.0.17-1) unstable; urgency=medium

  * New upstream version 7.0.17
  * Build with babel 7 (Closes: #958777, #959616)
  * Add work around to replace gulp:compile with babeljs-7 command

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 May 2020 14:02:22 +0530

node-postcss (6.0.23-3) unstable; urgency=medium

  * Team upload
  * Replace deprecated run-sequence by gulp.series()

 -- Xavier Guimard <yadd@debian.org>  Mon, 23 Mar 2020 15:30:29 +0100

node-postcss (6.0.23-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use pkg-js-tools auto install
  * Fix build for gulp 4 (Closes: #954708, #929811)
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 23 Mar 2020 08:55:44 +0100

node-postcss (6.0.23-1) unstable; urgency=medium

  * New upstream version 6.0.23
  * Use salsa.debian.org in Vcs-* fields
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Bump debhelper compatibility level to 11

 -- Pirate Praveen <praveen@debian.org>  Sat, 10 Nov 2018 20:55:01 +0530

node-postcss (6.0.16-1) unstable; urgency=medium

  * New upstream release
  * Embed new build dependencies
  * Use gulp directly to build

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Jan 2018 17:32:23 +0530

node-postcss (6.0.11-2) unstable; urgency=medium

  * Move to main, all dependencies are in archive now
  * babel command is now babeljs

 -- Pirate Praveen <praveen@debian.org>  Thu, 19 Oct 2017 22:30:06 +0530

node-postcss (6.0.11-1) unstable; urgency=low

  * Initial release (Closes: #874668)

 -- Pirate Praveen <praveen@debian.org>  Fri, 08 Sep 2017 20:19:05 +0530
